#include <iostream>
#include <string>
#include <stdio_ext.h>
using namespace std;

#include "ci067++.h"
#include "Pessoa.h"

Pessoa::Pessoa()
{
  nome = "x";
}

Pessoa::Pessoa(string nnome)
{
  nome = nnome;
}

string Pessoa::getNome() const
{
  return (nome);
}


bool Pessoa::empty() const
{
  return (nome.length() ? false : true);
}


bool Pessoa::operator ==(Pessoa& nprop) const
{
  return (nome == nprop.getNome());
}


bool Pessoa::operator ==(string nomePess) const
{
  return (nome == nomePess);
}


bool Pessoa::operator !=(Pessoa& nprop) const
{
  return (nome != nprop.getNome());
}


bool Pessoa::operator !=(string nomePess) const
{
  return (nome != nomePess);
}


// Funcoes Amigas

istream& operator >>(istream& inStream, Pessoa& pessoa)
{
  __fpurge(stdin);
  // Obtem os dados de uma Pessoa
  cout << "\tNOME: ";
  getline (inStream, pessoa.nome);
  //  flushstdin();

  return inStream;
}

ostream& operator <<(ostream& outStream, const Pessoa& pessoa)
{
  outStream << "NOME: " << pessoa.nome;

  return outStream;
}

